ipa: Move kernel-tests from ip_accelerator to techpack.

Move ip_accelerator which is a part of kernel-tests-internal
from kernel to techpack. Updated up to SHA1:
b8790774643dbfea5b312ed422ef86b54e4c8d7f

The kernel-test-module was moved into the driver,
and will be compiled as part of debug build.

Change-Id: I427b9ea061401c74845d2bd0d505da747d5fe89f
Acked-by: Eliad Ben Yishay <ebenyish@qti.qualcomm.com>
Signed-off-by: Amir Levy <alevy@codeaurora.org>
Signed-off-by: Ilia Lin <ilialin@codeaurora.org>
diff --git a/kernel-tests/run.sh b/kernel-tests/run.sh
new file mode 100644
index 0000000..36250e7
--- /dev/null
+++ b/kernel-tests/run.sh
@@ -0,0 +1,64 @@
+#! /bin/sh
+
+# Copyright (c) 2014,2017,2021, The Linux Foundation. All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#     * Redistributions of source code must retain the above copyright
+#       notice, this list of conditions and the following disclaimer.
+#     * Redistributions in binary form must reproduce the above
+#       copyright notice, this list of conditions and the following
+#       disclaimer in the documentation and/or other materials provided
+#       with the distribution.
+#     * Neither the name of The Linux Foundation nor the names of its
+#       contributors may be used to endorse or promote products derived
+#       from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
+# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
+# BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
+# OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
+# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -e
+./test_env_setup.sh
+
+echo "Starting test"
+
+if [ $# -eq 0 ]; then
+	echo "No args\n"
+	exec ./ipa_kernel_tests --suite_name Regression
+fi
+
+#Parse the args for valid switches
+while [ $# -gt 0 ]; do
+    case $1 in
+	-n | --nominal)
+		echo "Nominal\n"
+		exec ./ipa_kernel_tests --suite_name Regression
+		exit 0
+		;;
+	-a | --adversarial)
+		echo "adversarial\n"
+		echo "Currently no adversarial tests"
+		exit 0
+		;;
+	-r | --repeatability)
+		echo "Currently no repeatability tests"
+	-s | --stress)
+		echo "Currently no stress tests"
+		exit 0
+		;;
+	-h | --help | *)
+		echo "Usage: ./run.sh -[n][a][r][s]"
+		exit 1
+		;;
+        esac
+done